path: /build/build/bind-net-dns-9.20.7.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-dnstap -doh -gssapi -idn -selinux -test geoip lmdb xml" emerge net-dns/bind -pv -t && \
    USE="-dnstap -doh -gssapi -idn -selinux -test geoip lmdb xml" emerge -j ${JOBS} --nodeps net-dns/bind && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/bind && \
    luet-portage --dir /pkgdir/bind net-dns/bind && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:2784127f0d7f41c276ae4b04dedb866937c0cce07ad212995bc3d011243b3a45
  package:
    name: bind
    version: 9.20.7
    category: net-dns
    use_flags:
    - -dnstap
    - -doh
    - -gssapi
    - -idn
    - -selinux
    - -test
    - geoip
    - lmdb
    - xml
    requires:
    - name: libmaxminddb
      version: '>=0'
      category: dev-libs
    - name: bind-tools
      version: '>=0'
      category: net-dns
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Berkeley Internet Name Domain - Name Server
    uri:
    - https://www.isc.org/software/bind
    license: Apache-2.0 BSD BSD-2 GPL-2 HPND ISC MPL-2.0
    buildtimestamp: 2025-05-14 20:25:07.71089337 +0000 UTC m=+194.301407267
    labels:
      BDEPEND: test? ( || ( dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7
        dev-lang/python:3.10 ) dev-python/dnspython dev-python/pytest dev-perl/Net-DNS-SEC
        dev-util/cmocka ) >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
        ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
      DEPEND: =net-dns/bind-tools-9.20.7* dev-libs/jemalloc dev-libs/json-c:= dev-libs/libuv:=
        dev-libs/openssl:=[-bindist(-)] sys-libs/libcap sys-libs/zlib doh? ( net-libs/nghttp2
        ) geoip? ( dev-libs/libmaxminddb ) gssapi? ( virtual/krb5 ) idn? ( net-dns/libidn2
        ) lmdb? ( dev-db/lmdb ) dnstap? ( dev-libs/fstrm dev-libs/protobuf-c ) xml?
        ( dev-libs/libxml2 ) sys-apps/shadow
      IUSE: dnstap dnsrps doc doh fixed-rrset geoip gssapi idn lmdb selinux test urandom
        xml
      RDEPEND: =net-dns/bind-tools-9.20.7* dev-libs/jemalloc dev-libs/json-c:= dev-libs/libuv:=
        dev-libs/openssl:=[-bindist(-)] sys-libs/libcap sys-libs/zlib doh? ( net-libs/nghttp2
        ) geoip? ( dev-libs/libmaxminddb ) gssapi? ( virtual/krb5 ) idn? ( net-dns/libidn2
        ) lmdb? ( dev-db/lmdb ) dnstap? ( dev-libs/fstrm dev-libs/protobuf-c ) xml?
        ( dev-libs/libxml2 ) selinux? ( sec-policy/selinux-bind ) sys-process/psmisc
        virtual/tmpfiles
      emerge.packages: net-dns/bind
      kit: net-kit
      original.package.name: net-dns/bind
      original.package.slot: "0"
      original.package.version: 9.20.7
    treedir: /build/packages
  package_dir: /pkgdir/bind
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 6be1d38a05cd767a4ba1f8d10028d5e3ba79f034c283af994638ebe7a31fe403
compressiontype: zstd
files:
- etc/bind/dyn
- etc/bind/named.conf
- etc/bind/pri
- etc/bind/sec
- etc/conf.d/named
- etc/env.d/10bind
- etc/init.d/named
- usr/bin/arpaname
- usr/bin/named-checkconf
- usr/bin/named-checkzone
- usr/bin/named-compilezone
- usr/bin/named-journalprint
- usr/bin/named-nzd2nzf
- usr/bin/named-rrchecker
- usr/bin/nsec3hash
- usr/include/dns/acl.h
- usr/include/dns/adb.h
- usr/include/dns/badcache.h
- usr/include/dns/bit.h
- usr/include/dns/byaddr.h
- usr/include/dns/cache.h
- usr/include/dns/callbacks.h
- usr/include/dns/catz.h
- usr/include/dns/cert.h
- usr/include/dns/client.h
- usr/include/dns/clientinfo.h
- usr/include/dns/compress.h
- usr/include/dns/db.h
- usr/include/dns/dbiterator.h
- usr/include/dns/diff.h
- usr/include/dns/dispatch.h
- usr/include/dns/dlz.h
- usr/include/dns/dlz_dlopen.h
- usr/include/dns/dns64.h
- usr/include/dns/dnsrps.h
- usr/include/dns/dnssec.h
- usr/include/dns/dnstap.h
- usr/include/dns/ds.h
- usr/include/dns/dsdigest.h
- usr/include/dns/dyndb.h
- usr/include/dns/ecs.h
- usr/include/dns/ede.h
- usr/include/dns/edns.h
- usr/include/dns/enumclass.h
- usr/include/dns/enumtype.h
- usr/include/dns/fixedname.h
- usr/include/dns/forward.h
- usr/include/dns/geoip.h
- usr/include/dns/ipkeylist.h
- usr/include/dns/iptable.h
- usr/include/dns/journal.h
- usr/include/dns/kasp.h
- usr/include/dns/keydata.h
- usr/include/dns/keyflags.h
- usr/include/dns/keymgr.h
- usr/include/dns/keystore.h
- usr/include/dns/keytable.h
- usr/include/dns/keyvalues.h
- usr/include/dns/librpz.h
- usr/include/dns/log.h
- usr/include/dns/master.h
- usr/include/dns/masterdump.h
- usr/include/dns/message.h
- usr/include/dns/name.h
- usr/include/dns/nametree.h
- usr/include/dns/ncache.h
- usr/include/dns/nsec.h
- usr/include/dns/nsec3.h
- usr/include/dns/nta.h
- usr/include/dns/opcode.h
- usr/include/dns/order.h
- usr/include/dns/peer.h
- usr/include/dns/private.h
- usr/include/dns/qp.h
- usr/include/dns/rbt.h
- usr/include/dns/rcode.h
- usr/include/dns/rdata.h
- usr/include/dns/rdataclass.h
- usr/include/dns/rdatalist.h
- usr/include/dns/rdataset.h
- usr/include/dns/rdatasetiter.h
- usr/include/dns/rdataslab.h
- usr/include/dns/rdatastruct.h
- usr/include/dns/rdatatype.h
- usr/include/dns/remote.h
- usr/include/dns/request.h
- usr/include/dns/resolver.h
- usr/include/dns/result.h
- usr/include/dns/rootns.h
- usr/include/dns/rpz.h
- usr/include/dns/rriterator.h
- usr/include/dns/rrl.h
- usr/include/dns/sdlz.h
- usr/include/dns/secalg.h
- usr/include/dns/secproto.h
- usr/include/dns/skr.h
- usr/include/dns/soa.h
- usr/include/dns/ssu.h
- usr/include/dns/stats.h
- usr/include/dns/time.h
- usr/include/dns/tkey.h
- usr/include/dns/trace.h
- usr/include/dns/transport.h
- usr/include/dns/tsig.h
- usr/include/dns/ttl.h
- usr/include/dns/types.h
- usr/include/dns/update.h
- usr/include/dns/validator.h
- usr/include/dns/view.h
- usr/include/dns/xfrin.h
- usr/include/dns/zone.h
- usr/include/dns/zonekey.h
- usr/include/dns/zoneverify.h
- usr/include/dns/zt.h
- usr/include/dst/dst.h
- usr/include/dst/gssapi.h
- usr/include/irs/resconf.h
- usr/include/isc/ascii.h
- usr/include/isc/assertions.h
- usr/include/isc/async.h
- usr/include/isc/atomic.h
- usr/include/isc/attributes.h
- usr/include/isc/backtrace.h
- usr/include/isc/barrier.h
- usr/include/isc/base32.h
- usr/include/isc/base64.h
- usr/include/isc/buffer.h
- usr/include/isc/commandline.h
- usr/include/isc/condition.h
- usr/include/isc/counter.h
- usr/include/isc/crc64.h
- usr/include/isc/dir.h
- usr/include/isc/dnsstream.h
- usr/include/isc/endian.h
- usr/include/isc/entropy.h
- usr/include/isc/errno.h
- usr/include/isc/error.h
- usr/include/isc/file.h
- usr/include/isc/fips.h
- usr/include/isc/formatcheck.h
- usr/include/isc/fuzz.h
- usr/include/isc/getaddresses.h
- usr/include/isc/hash.h
- usr/include/isc/hashmap.h
- usr/include/isc/heap.h
- usr/include/isc/helper.h
- usr/include/isc/hex.h
- usr/include/isc/histo.h
- usr/include/isc/hmac.h
- usr/include/isc/ht.h
- usr/include/isc/httpd.h
- usr/include/isc/interfaceiter.h
- usr/include/isc/iterated_hash.h
- usr/include/isc/job.h
- usr/include/isc/lang.h
- usr/include/isc/lex.h
- usr/include/isc/list.h
- usr/include/isc/log.h
- usr/include/isc/loop.h
- usr/include/isc/magic.h
- usr/include/isc/managers.h
- usr/include/isc/md.h
- usr/include/isc/mem.h
- usr/include/isc/meminfo.h
- usr/include/isc/mutex.h
- usr/include/isc/mutexblock.h
- usr/include/isc/net.h
- usr/include/isc/netaddr.h
- usr/include/isc/netmgr.h
- usr/include/isc/netscope.h
- usr/include/isc/nonce.h
- usr/include/isc/once.h
- usr/include/isc/os.h
- usr/include/isc/overflow.h
- usr/include/isc/parseint.h
- usr/include/isc/pause.h
- usr/include/isc/portset.h
- usr/include/isc/proxy2.h
- usr/include/isc/queue.h
- usr/include/isc/quota.h
- usr/include/isc/radix.h
- usr/include/isc/random.h
- usr/include/isc/ratelimiter.h
- usr/include/isc/refcount.h
- usr/include/isc/regex.h
- usr/include/isc/region.h
- usr/include/isc/result.h
- usr/include/isc/rwlock.h
- usr/include/isc/safe.h
- usr/include/isc/serial.h
- usr/include/isc/signal.h
- usr/include/isc/siphash.h
- usr/include/isc/sockaddr.h
- usr/include/isc/spinlock.h
- usr/include/isc/stats.h
- usr/include/isc/stdio.h
- usr/include/isc/stdtime.h
- usr/include/isc/strerr.h
- usr/include/isc/string.h
- usr/include/isc/symtab.h
- usr/include/isc/syslog.h
- usr/include/isc/thread.h
- usr/include/isc/tid.h
- usr/include/isc/time.h
- usr/include/isc/timer.h
- usr/include/isc/tls.h
- usr/include/isc/tm.h
- usr/include/isc/types.h
- usr/include/isc/urcu.h
- usr/include/isc/url.h
- usr/include/isc/utf8.h
- usr/include/isc/util.h
- usr/include/isc/uv.h
- usr/include/isc/work.h
- usr/include/isc/xml.h
- usr/include/isccc/alist.h
- usr/include/isccc/base64.h
- usr/include/isccc/cc.h
- usr/include/isccc/ccmsg.h
- usr/include/isccc/sexpr.h
- usr/include/isccc/symtab.h
- usr/include/isccc/symtype.h
- usr/include/isccc/types.h
- usr/include/isccc/util.h
- usr/include/isccfg/aclconf.h
- usr/include/isccfg/cfg.h
- usr/include/isccfg/check.h
- usr/include/isccfg/duration.h
- usr/include/isccfg/grammar.h
- usr/include/isccfg/kaspconf.h
- usr/include/isccfg/log.h
- usr/include/isccfg/namedconf.h
- usr/include/ns/client.h
- usr/include/ns/hooks.h
- usr/include/ns/interfacemgr.h
- usr/include/ns/listenlist.h
- usr/include/ns/log.h
- usr/include/ns/notify.h
- usr/include/ns/query.h
- usr/include/ns/server.h
- usr/include/ns/sortlist.h
- usr/include/ns/stats.h
- usr/include/ns/types.h
- usr/include/ns/update.h
- usr/include/ns/xfrout.h
- usr/lib/tmpfiles.d/named.conf
- usr/libexec/generate-rndc-key.sh
- usr/sbin/ddns-confgen
- usr/sbin/named
- usr/sbin/rndc
- usr/sbin/rndc-confgen
- usr/sbin/tsig-keygen
- usr/share/doc/bind-9.20.7/AUTHORS.bz2
- usr/share/doc/bind-9.20.7/ChangeLog.bz2
- usr/share/doc/bind-9.20.7/NEWS.bz2
- usr/share/doc/bind-9.20.7/README.md.bz2
- usr/share/man/man1/arpaname.1.bz2
- usr/share/man/man1/named-checkconf.1.bz2
- usr/share/man/man1/named-checkzone.1.bz2
- usr/share/man/man1/named-compilezone.1.bz2
- usr/share/man/man1/named-journalprint.1.bz2
- usr/share/man/man1/named-nzd2nzf.1.bz2
- usr/share/man/man1/named-rrchecker.1.bz2
- usr/share/man/man1/nsec3hash.1.bz2
- usr/share/man/man5/named.conf.5.bz2
- usr/share/man/man5/rndc.conf.5.bz2
- usr/share/man/man8/ddns-confgen.8.bz2
- usr/share/man/man8/filter-a.8.bz2
- usr/share/man/man8/filter-aaaa.8.bz2
- usr/share/man/man8/named.8.bz2
- usr/share/man/man8/rndc-confgen.8.bz2
- usr/share/man/man8/rndc.8.bz2
- usr/share/man/man8/tsig-keygen.8.bz2
- var/bind/dyn/.keep_net-dns_bind-0
- var/bind/named.cache
- var/bind/pri/.keep_net-dns_bind-0
- var/bind/pri/localhost.zone
- var/bind/root.cache
- var/bind/sec/.keep_net-dns_bind-0
- var/db/pkg/net-dns/bind-9.20.7/BDEPEND
- var/db/pkg/net-dns/bind-9.20.7/BUILD_TIME
- var/db/pkg/net-dns/bind-9.20.7/CATEGORY
- var/db/pkg/net-dns/bind-9.20.7/CBUILD
- var/db/pkg/net-dns/bind-9.20.7/CFLAGS
- var/db/pkg/net-dns/bind-9.20.7/CHOST
- var/db/pkg/net-dns/bind-9.20.7/CONTENTS
- var/db/pkg/net-dns/bind-9.20.7/COUNTER
- var/db/pkg/net-dns/bind-9.20.7/CTARGET
- var/db/pkg/net-dns/bind-9.20.7/CXX
- var/db/pkg/net-dns/bind-9.20.7/CXXFLAGS
- var/db/pkg/net-dns/bind-9.20.7/DEFINED_PHASES
- var/db/pkg/net-dns/bind-9.20.7/DEPEND
- var/db/pkg/net-dns/bind-9.20.7/DESCRIPTION
- var/db/pkg/net-dns/bind-9.20.7/EAPI
- var/db/pkg/net-dns/bind-9.20.7/FEATURES
- var/db/pkg/net-dns/bind-9.20.7/HOMEPAGE
- var/db/pkg/net-dns/bind-9.20.7/INHERITED
- var/db/pkg/net-dns/bind-9.20.7/IUSE
- var/db/pkg/net-dns/bind-9.20.7/IUSE_EFFECTIVE
- var/db/pkg/net-dns/bind-9.20.7/KEYWORDS
- var/db/pkg/net-dns/bind-9.20.7/LDFLAGS
- var/db/pkg/net-dns/bind-9.20.7/LICENSE
- var/db/pkg/net-dns/bind-9.20.7/NEEDED
- var/db/pkg/net-dns/bind-9.20.7/NEEDED.ELF.2
- var/db/pkg/net-dns/bind-9.20.7/PF
- var/db/pkg/net-dns/bind-9.20.7/RDEPEND
- var/db/pkg/net-dns/bind-9.20.7/REQUIRES
- var/db/pkg/net-dns/bind-9.20.7/SIZE
- var/db/pkg/net-dns/bind-9.20.7/SLOT
- var/db/pkg/net-dns/bind-9.20.7/USE
- var/db/pkg/net-dns/bind-9.20.7/bind-9.20.7.ebuild
- var/db/pkg/net-dns/bind-9.20.7/environment.bz2
- var/db/pkg/net-dns/bind-9.20.7/repository
- var/log/named/.keep_net-dns_bind-0
package_cacheimage: ""
runtime:
  name: bind
  version: 9.20.7
  category: net-dns
  use_flags:
  - -dnstap
  - -doh
  - -gssapi
  - -idn
  - -selinux
  - -test
  - geoip
  - lmdb
  - xml
  requires:
  - name: lmdb
    version: '>=0'
    category: dev-db
  - name: json-c
    version: '>=0'
    category: dev-libs
  - name: libmaxminddb
    version: '>=0'
    category: dev-libs
  - name: bind-tools
    version: '>=0'
    category: net-dns
  - name: psmisc
    version: '>=0'
    category: sys-process
  - name: tmpfiles
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Berkeley Internet Name Domain - Name Server
  uri:
  - https://www.isc.org/software/bind
  license: Apache-2.0 BSD BSD-2 GPL-2 HPND ISC MPL-2.0
  labels:
    BDEPEND: test? ( || ( dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7
      dev-lang/python:3.10 ) dev-python/dnspython dev-python/pytest dev-perl/Net-DNS-SEC
      dev-util/cmocka ) >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
      ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
    DEPEND: =net-dns/bind-tools-9.20.7* dev-libs/jemalloc dev-libs/json-c:= dev-libs/libuv:=
      dev-libs/openssl:=[-bindist(-)] sys-libs/libcap sys-libs/zlib doh? ( net-libs/nghttp2
      ) geoip? ( dev-libs/libmaxminddb ) gssapi? ( virtual/krb5 ) idn? ( net-dns/libidn2
      ) lmdb? ( dev-db/lmdb ) dnstap? ( dev-libs/fstrm dev-libs/protobuf-c ) xml?
      ( dev-libs/libxml2 ) sys-apps/shadow
    IUSE: dnstap dnsrps doc doh fixed-rrset geoip gssapi idn lmdb selinux test urandom
      xml
    RDEPEND: =net-dns/bind-tools-9.20.7* dev-libs/jemalloc dev-libs/json-c:= dev-libs/libuv:=
      dev-libs/openssl:=[-bindist(-)] sys-libs/libcap sys-libs/zlib doh? ( net-libs/nghttp2
      ) geoip? ( dev-libs/libmaxminddb ) gssapi? ( virtual/krb5 ) idn? ( net-dns/libidn2
      ) lmdb? ( dev-db/lmdb ) dnstap? ( dev-libs/fstrm dev-libs/protobuf-c ) xml?
      ( dev-libs/libxml2 ) selinux? ( sec-policy/selinux-bind ) sys-process/psmisc
      virtual/tmpfiles
    emerge.packages: net-dns/bind
    kit: net-kit
    original.package.name: net-dns/bind
    original.package.slot: "0"
    original.package.version: 9.20.7
